PLM Automate Normal Bom

by
Odoo 1
v 12.0 Third Party 11848
Download for 12.0 series Deploy on Odoo.sh
You bought this module and need support ? Click here !
Technical name plm_automate_normal_bom
LicenseAGPL-3
Websitehttps://www.omniasolutions.website
Repositoryhttps://github.com/OmniaGit/odooplm.git#12.0
Read description for v 11.0 v 10.0 v 9.0 v 8.0
Required Apps Manufacturing (mrp)
Inventory (stock)
Included Dependencies

Plm Automated Normal Bom

The module is developed and maintained by OmniaSolutions, Further information at www.omniasolutions.website

This module allows you to create all Normal Boms for all released products that not already have a normal bom. Using a scheduler action, of doing it on demand

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author, please use the developer contact information. They can usually be found in the description.
Please choose a rating from 1 to 5 for this module.
Odoo
Description says ver. 11, download says ver. 12
by on

Please keep your software and store postings up to date. This is confusing.


Odoo
Won't install on brand new copy of Odoo 12 Community
by on

On a brand new copy of Odoo 12 with no customization, I get this error: Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/api.py", line 1039, in get value = self._data[key][field][record._ids[0]] KeyError: 975 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/fields.py", line 975, in __get__ value = record.env.cache.get(record, self) File "/usr/lib/python3/dist-packages/odoo/api.py", line 1041, in get raise CacheMiss(record, field) odoo.exceptions.CacheMiss: ('ir.attachment(975,).document_type', None) During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 654, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 312, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 696, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 344, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 337, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 939, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 517, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 966, in call_button action = self._call_kw(model, method, args, {}) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 954, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 749, in call_kw return _call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 736, in _call_kw_multi result = method(recs, *args, **kwargs) File "", line 2, in button_immediate_install File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 73, in check_and_log return method(self, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 444, in button_immediate_install return self._button_immediate_function(type(self).button_install) File "/usr/lib/python3/dist-packages/odoo/addons/base/models/ir_module.py", line 553, in _button_immediate_function modules.registry.Registry.new(self._cr.dbname, update_module=True) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 86, in new odoo.modules.load_modules(registry._db, force_demo, status, update_module) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 421, in load_modules loaded_modules, update_module, models_to_check) File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 313, in load_marked_modules perform_checks=perform_checks, models_to_check=models_to_check File "/usr/lib/python3/dist-packages/odoo/modules/loading.py", line 195, in load_module_graph registry.init_models(cr, model_names, {'module': package.name}) File "/usr/lib/python3/dist-packages/odoo/modules/registry.py", line 304, in init_models models[0].recompute() File "/usr/lib/python3/dist-packages/odoo/models.py", line 5240, in recompute vals = {n: rec[n] for n in ns} File "/usr/lib/python3/dist-packages/odoo/models.py", line 5240, in vals = {n: rec[n] for n in ns} File "/usr/lib/python3/dist-packages/odoo/models.py", line 5087, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 979, in __get__ self.determine_value(record) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1066, in determine_value self.compute_value(recs) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1046, in compute_value self._compute_value(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1039, in _compute_value self.compute(records) File "/usr/lib/python3/dist-packages/odoo/addons-uploaded/plm/models/ir_attachment.py", line 801, in _compute_document_type extensions2D = eval(configParamObj._get_param('file_exte_type_rel_2D')) TypeError: eval() arg 1 must be a string, bytes or code object